%def_without	video
%def_with	truespeech

Name:           linphone
Version:        1.7.1
Release:        alt0.M40.1
Summary:        Phone anywhere in the whole world by using the Internet

Group:          Communications
License:        GPL
URL:            http://www.linphone.org
Source0:        http://download.savannah.gnu.org/releases/linphone/stable/source/%{name}-%{version}.tar.gz
Source1:	ru.po
Source2:	ru.gmo
Patch0:		%name-%version-ru-add.patch
Patch1:		%name-%version-imagedir.patch
Patch2:		%name-%version-no_Werror.patch

# Automatically added by buildreq on Tue Oct 07 2008 (-bi)
BuildRequires: gcc-c++ gcc-fortran libalsa-devel libgtk+2-devel libncurses-devel libosip2-devel libpopt-devel libreadline-devel libspeex-devel perl-XML-Parser

BuildRequires:  libgnome-panel-devel libgnomeui-devel glib2-devel
BuildRequires:	intltool gettext libortp-devel
%if_with video
BuildRequires:	libffmpeg-devel libSDL-devel
%endif

%description
Linphone is mostly sip compliant. It works successfully with these
implementations:
    * eStara softphone (commercial software for windows)
    * Pingtel phones (with DNS enabled and VLAN QOS support disabled).
    * Hotsip, a free of charge phone for Windows.
    * Vocal, an open source SIP stack from Vovida that includes a SIP proxy
        that works with linphone since version 0.7.1.
    * Siproxd is a free sip proxy being developped by Thomas Ries because he
        would like to have linphone working behind his firewall. Siproxd is
        simple to setup and works perfectly with linphone.
    * Partysip aims at being a generic and fully functionnal SIP proxy. Visit
        the web page for more details on its functionalities.

Linphone may work also with other sip phones, but this has not been tested yet.

%package -n lib%name-devel
Summary:        Development libraries for linphone
Group:          Development/C
Requires:       %name = %version-%release
Requires:	libortp-devel
Requires:	glib2-devel

%description  -n  lib%name-devel
Libraries and headers required to develop software with linphone.

%package -n mediastreamer2
Summary:        Audio/Video real-time streaming
Group:          Development/C
Version:        2.2.0

%description -n mediastreamer2
Mediastreamer2 is a GPL licensed library to make audio and video
real-time streaming and processing. Written in pure C, it is based
upon the oRTP library.

%package -n libmediastreamer2-devel
Summary:        Headers, libraries and docs for the mediastreamer2 library
Group:          Development/C
Version:        2.2.0
Requires:	mediastreamer2 = 2.2.0
Requires:	libortp-devel = 0.14.2

%description -n libmediastreamer2-devel
ediastreamer2 is a GPL licensed library to make audio and video
real-time streaming and processing. Written in pure C, it is based
upon the ortp library.

This package contains header files and development libraries needed to
develop programs using the mediastreamer2 library.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

cp -a	%SOURCE1	po/
cp -a	%SOURCE2	po/

%build
%configure \
	--with-osip=/usr \
	--with-speex=/usr \
	--with-readline=/usr \
	--with-gsmlib \
	--disable-static \
	--disable-rpath \
	--disable-video \
	--enable-truespeech \
	--enable-ipv6 \
	--enable-alsa \
	--enable-strici \
	--enable-external-ortp

%make_build

%install

%__mkdir -p %buildroot%_datadir/pixmaps/
cp -a pixmaps/linphone2.png %buildroot%_datadir/pixmaps/ 

%make_install install DESTDIR=%buildroot

rm %buildroot%_datadir/gnome/apps/Internet/linphone.desktop

%find_lang %name

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%post -n mediastreamer2 -p %post_ldconfig

%postun -n mediastreamer2 -p %postun_ldconfig

%files -f %name.lang

%doc AUTHORS ChangeLog COPYING NEWS README TODO
%_bindir/*
%_libdir/liblinphone.so*
%_libdir/liblinphone.so
%_libexecdir/*
%_man1dir/*
%_datadir/applications/*%name.desktop
%_datadir/gnome/help/linphone
%_datadir/pixmaps/linphone
%_datadir/pixmaps/linphone2.png
%_datadir/sounds/linphone

%files -n lib%name-devel
%_includedir/linphone
%_pkgconfigdir/linphone.pc

%files -n mediastreamer2
%doc mediastreamer2/AUTHORS mediastreamer2/ChangeLog mediastreamer2/COPYING
%doc mediastreamer2/NEWS mediastreamer2/README
%_libdir/libmediastreamer.so.*
%_libdir/libquickstream.so.*
%_datadir/images/linphone/nowebcamCIF.jpg

%files -n libmediastreamer2-devel
%_includedir/mediastreamer2
%_pkgconfigdir/mediastreamer.pc
%_libdir/libmediastreamer.so
%_libdir/libquickstream.so

%changelog
* Mon Oct 06 2008 Grigory Fateyev <greg@altlinux.ru> 1.7.1-alt0.M40.1
- Initial build for ALT Linux
    - add russian translation
    - change image dir patch

* Wed Sep 28 2005 Francois-Xavier 'FiX' KOWALSKI <francois-xavier.kowalski@hp.com> - 1.2.0pre3
- Updated to latests Simon's work

* Fri May 27 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.1-3
- Fix multiple menu entry and missing icon (#158975)
- Clean up spec file

* Fri May  6 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.1-2
- Fix libosip2-devel BR

* Wed May  4 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.1-1
- Update to 1.0.1
- Port patches from devel

* Wed Mar 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.12.2-7
- pkgconfig and -devel fixes

* Wed Mar 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.12.2-6
- Fix build on x86_64

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.12.2-5
- %%

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.12.2-4
- Used %%find_lang
- Tightened up %%files
- Streamlined spec file

* Thu Mar 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.12.2-3
- Broke %%description at 80 columns

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.12.2-2
- Removed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.12.2-1
- Bump release to 1
- Cleaned up the -docs and -speex patches

* Fri Jan 21 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.12.2-0.iva.1
- Fixed a silly spec error

* Fri Jan 21 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.12.2-0.iva.0
- Initial RPM release.

